Loading...
Searching...
No Matches
XrdAccPrivCaps Struct Reference

`#include <XrdAccPrivs.hh>`

Collaboration diagram for XrdAccPrivCaps:

## Public Member Functions

| XrdAccPrivCaps ()
| ~XrdAccPrivCaps ()

## Public Attributes

XrdAccPrivs | nprivs
XrdAccPrivs | pprivs

## Detailed Description

Definition at line 77 of file XrdAccPrivs.hh.

## Constructor & Destructor Documentation

## XrdAccPrivCaps()

XrdAccPrivCaps::XrdAccPrivCaps | ( |  | ) |

inline

Definition at line 80 of file XrdAccPrivs.hh.

{pprivs = XrdAccPriv_None;
nprivs = XrdAccPriv_None;
}
XrdAccPriv_None
@ XrdAccPriv_None
Definition XrdAccPrivs.hh:53
XrdAccPrivCaps::nprivs
XrdAccPrivs nprivs
Definition XrdAccPrivs.hh:78
XrdAccPrivCaps::pprivs
XrdAccPrivs pprivs
Definition XrdAccPrivs.hh:77

References nprivs, pprivs, and XrdAccPriv_None.

## ~XrdAccPrivCaps()

XrdAccPrivCaps::~XrdAccPrivCaps | ( |  | ) |

inline

Definition at line 83 of file XrdAccPrivs.hh.

{}

## Member Data Documentation

## nprivs

XrdAccPrivs XrdAccPrivCaps::nprivs

Definition at line 78 of file XrdAccPrivs.hh.

Referenced by XrdAccCapability::XrdAccCapability(), XrdAccPrivCaps(), DoIt(), XrdAccCapability::Privs(), and PrivsConvert().

## pprivs

XrdAccPrivs XrdAccPrivCaps::pprivs

Definition at line 77 of file XrdAccPrivs.hh.

Referenced by XrdAccCapability::XrdAccCapability(), XrdAccPrivCaps(), DoIt(), XrdAccCapability::Privs(), and PrivsConvert().

The documentation for this struct was generated from the following file:

- XrdAccPrivs.hh